﻿using PP_Ven_MosS.Classes;
using PP_Ven_MosS.ModelBase;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Shapes;

namespace PP_Ven_MosS.Pages
{
    /// <summary>
    /// Логика взаимодействия для CheckReport.xaml
    /// </summary>
    public partial class CheckReport : Page
    {
        public CheckReport()
        {
            InitializeComponent();
            Sort();
        }
        async public void Sort()
        {
            int k = 0;
            Place_event plev = Database.entities.Place_event.ToList().FirstOrDefault();
            List<Rectangle> rectangles = new List<Rectangle>();
            List<Place> place = Database.entities.Place.ToList();
            List<Place_event> plevs = Database.entities.Place_event.ToList();


            List<Place> p = Database.entities.Place.Distinct().ToList();

            int[] mass = new int[plevs.Count];

            foreach (Place pid in p)
            {
                TextBlock textBlock = new TextBlock();
                textBlock.Text = pid.title_place;
                diagr.Children.Add(textBlock);
            }

            foreach (Place pid in p)
            {
                k = 0;
                foreach (Place_event pe in plevs)
                {
                    if (pid.id_place == pe.id_place)
                    {
                        k++;
                    }
                }
                Rectangle newRectangle = new Rectangle();
                newRectangle.Width = 100;


                newRectangle.Height = k * 30;

                if (k > 5)
                {
                    newRectangle.Fill = new SolidColorBrush(Colors.Green);
                }
                else if (k < 2)
                {
                    newRectangle.Fill = new SolidColorBrush(Colors.Red);
                }
                else
                {
                    newRectangle.Fill = new SolidColorBrush(Colors.Blue);
                }
                newRectangle.Margin = new Thickness(20, 0, 0, 0);
                newRectangle.VerticalAlignment = VerticalAlignment.Bottom;
                diag.Children.Add(newRectangle);
                rectangles.Add(newRectangle);
            }

            //foreach (var pl in plevs)
            //{
                



                
            //    Rectangle newRectangle = new Rectangle();
            //    newRectangle.Width = 100;

                
            //    newRectangle.Height = k * 30;

            //    if (k > 5)
            //    {
            //        newRectangle.Fill = new SolidColorBrush(Colors.Green);
            //    }
            //    else if (k < 2)
            //    {
            //        newRectangle.Fill = new SolidColorBrush(Colors.Red);
            //    }
            //    else
            //    {
            //        newRectangle.Fill = new SolidColorBrush(Colors.Blue);
            //    }
            //    newRectangle.Margin = new Thickness(20, 0, 0, 0);
            //    newRectangle.VerticalAlignment = VerticalAlignment.Bottom;
            //    diag.Children.Add(newRectangle);
            //    rectangles.Add(newRectangle);
            //}
            

            //foreach (var pl in place)
            //{
            //    if (pl.id_place == plev.id_place)
            //    {
            //        TextBlock block = new TextBlock
            //        {
            //            Text = pl.title_place,
            //            HorizontalAlignment = HorizontalAlignment.Center,
            //            VerticalAlignment = VerticalAlignment.Bottom,
            //            Width = 100,
            //            Margin = new Thickness(20, 250, 0, 0)
            //        };
            //        diagr.Children.Add(block);
            //    }

            //}
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            System.Windows.Controls.PrintDialog printDialog = new PrintDialog();
            if (printDialog.ShowDialog() == true)
            {
                printDialog.PrintVisual(Report, "Отчет");
            }
        }

        private void Exit_Click(object sender, RoutedEventArgs e)
        {
            FrameClass.MainFrame.Navigate(new MenuAdmin());
        }
    }
}

